DOMDocumentFactory (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.dom
Class DOMDocumentFactory

    java.lang.Object
      org.dom4j.DocumentFactory
          org.dom4j.dom.DOMDocumentFactory

All Implemented Interfaces:
  DOMImplementation, Serializable

public class DOMDocumentFactory
extends DocumentFactory
implements DOMImplementation

`DOMDocumentFactory` is a factory of DOM4J objects which implement the W3C DOM API.

Version:
  $Revision: 1.21 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.dom4j.DocumentFactory
`cache`

Constructor Summary
`DOMDocumentFactory()`

Method Summary
`protected DOMDocumentType` | `asDocumentType(DocumentType docType)`
`Attribute` | `createAttribute(Element owner, QName qname, String value)`
`CDATA` | `createCDATA(String text)`
`Comment` | `createComment(String text)`
`DocumentType` | `createDocType(String name, String publicId, String systemId)`
`Document` | `createDocument()`
`Document` | `createDocument(String namespaceURI, String qualifiedName, DocumentType docType)`
`DocumentType` | `createDocumentType(String qualifiedName, String publicId, String systemId)`
`Element` | `createElement(QName qname)`
`Element` | `createElement(QName qname, int attributeCount)`
`Entity` | `createEntity(String name)`
`Entity` | `createEntity(String name, String text)`
`Namespace` | `createNamespace(String prefix, String uri)`
`ProcessingInstruction` | `createProcessingInstruction(String target, Map data)`
`ProcessingInstruction` | `createProcessingInstruction(String target, String data)`
`Text` | `createText(String text)`
`static DocumentFactory` | `getInstance()` Access to the singleton instance of this factory.
`boolean` | `hasFeature(String feat, String version)`

Methods inherited from class org.dom4j.DocumentFactory
`createAttribute, createDocument, createDocument, createElement, createElement, createPattern, createQName, createQName, createQName, createQName, createQNameCache, createSingleton, createXPath, createXPath, createXPathFilter, createXPathFilter, getQNames, getXPathNamespaceURIs, init, intern, setXPathNamespaceURIs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMDocumentFactory

    public DOMDocumentFactory()

Method Detail

### getInstance

    public static DocumentFactory getInstance()

  Access to the singleton instance of this factory.

  Returns:
    the default singleon instance

### createDocument

    public Document createDocument()

  Overrides:
    `createDocument` in class `DocumentFactory`

### createDocType

    public DocumentType createDocType(String name,
                                      String publicId,
                                      String systemId)

  Overrides:
    `createDocType` in class `DocumentFactory`

### createElement

    public Element createElement(QName qname)

  Overrides:
    `createElement` in class `DocumentFactory`

### createElement

    public Element createElement(QName qname,
                                 int attributeCount)

### createAttribute

    public Attribute createAttribute(Element owner,
                                     QName qname,
                                     String value)

  Overrides:
    `createAttribute` in class `DocumentFactory`

### createCDATA

    public CDATA createCDATA(String text)

  Overrides:
    `createCDATA` in class `DocumentFactory`

### createComment

    public Comment createComment(String text)

  Overrides:
    `createComment` in class `DocumentFactory`

### createText

    public Text createText(String text)

  Overrides:
    `createText` in class `DocumentFactory`

### createEntity

    public Entity createEntity(String name)

### createEntity

    public Entity createEntity(String name,
                               String text)

  Overrides:
    `createEntity` in class `DocumentFactory`

### createNamespace

    public Namespace createNamespace(String prefix,
                                     String uri)

  Overrides:
    `createNamespace` in class `DocumentFactory`

### createProcessingInstruction

    public ProcessingInstruction createProcessingInstruction(String target,
                                                             String data)

  Overrides:
    `createProcessingInstruction` in class `DocumentFactory`

### createProcessingInstruction

    public ProcessingInstruction createProcessingInstruction(String target,
                                                             Map data)

  Overrides:
    `createProcessingInstruction` in class `DocumentFactory`

### hasFeature

    public boolean hasFeature(String feat,
                              String version)

  Specified by:
    `hasFeature` in interface `DOMImplementation`

### createDocumentType

    public DocumentType createDocumentType(String qualifiedName,
                                           String publicId,
                                           String systemId)
                                    throws DOMException

  Specified by:
    `createDocumentType` in interface `DOMImplementation`
  Throws:
    `DOMException`

### createDocument

    public Document createDocument(String namespaceURI,
                                   String qualifiedName,
                                   DocumentType docType)
                            throws DOMException

  Specified by:
    `createDocument` in interface `DOMImplementation`
  Throws:
    `DOMException`

### asDocumentType

    protected DOMDocumentType asDocumentType(DocumentType docType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.